package gov.va.vss.service;

import java.util.Collection;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.facility.Kiosk;

public interface KioskService {

	Kiosk saveOrUpdate(Kiosk k) throws ServiceValidationException;

	void delete(long kioskId);

	void kioskCheckin(Collection<Long> kioskIds);

	void registerKiosk(long kioskId);

}
